package com.wms_main.service.quartz_job;

import com.wms_main.quartz.config.JobBean;

/**
 * 定时任务服务实现
 */
public interface IJobService {
    void createJob(JobBean jobBean);

    void deleteJob(String jobName);

    void modifyJob(JobBean jobBean);

    void pauseJob(String jobName);

    void resumeJob(String jobName);

    void runJobOnce(String jobName);
    void initAllJobs();
}
